<script>
//===================================================================*/
/* イベント
//===================================================================*/
//　F2 表示
$(document).on("click", ".popaf222x1Func2:not('.noevent')", function (e) {
  $('#popaf222x1Search').trigger('click');
});
//　F5 クリア
$(document).on("click", ".popaf222x1Func5:not('.noevent')", function (e) {
  af222x1.initial();
});
//　F9 決定
$(document).on("click", ".popaf222x1Func9:not('.noevent')", function (e) {
  $("#popaf222x1Select").trigger("click");
});
//　F12 メニュー/戻る
$(document).on("click", ".popaf222x1Func12:not('.noevent')", function (e) {
  $('#popaf222x1Close').trigger('popClose');
});

$(document).on("focus", "#af222x1Dummy", function(e) {
  $(".popaf222x1Func2").focus();
});

$(document).on("click", ".cmdAf222x1", function (e) {
  dspPopupAfm222x1($(this));
});

$(document).on("keyup", ".popAf222x1", function (e) {
  if (e.keyCode == 40) {
    dspPopupAfm222x1($(this));
  }
});

function dspPopupAfm222x1($me) {
    var grp = $me.closest(".af222x1popup");
    var frmh = grp.closest("#headerTop");

    popup.openPopup("af222x1", $(grp));

    af222x1.initial();

    if ($me.closest(".container").hasClass("af224x")) { //tcls全て

    } else {
      $("#af222x1Tcls").val($(grp).find(".tcls").val());
    }

    $("#af222x1Cucd").val($(grp).find(".cucd").val());
    $("#af222x1Cunm").val($(grp).find(".cunm").val());
    $("#af222x1Cuscd").val($(grp).find(".cuscd").val());
    $("#af222x1Spnm").val($(grp).find(".spnm").val());
    $("#af222x1Vseq").val($(grp).find(".vseq222").val()); //af222x用 同一伝票番号複数あった時

    common.setValue($("#af222x1OrgTitle"), common.getValue($("#topPrgTitle")));
    common.setValue($("#topPrgTitle"),"伝票番号検索");

    common.setDetailHeight($("#af222x1Detail"));

    if (!stringUtil.isEmpty(common.getValue($("#af222x1Vseq")))) {
      $('#popaf222x1Search').trigger('click');
    }
}

$(document).on("click", "#popaf222x1Search", function (e) {
  var me = this;
  // 読込
  var top = $(this).closest(".af222x1");

  common.clearFormError(top);


  var errflg = false;

  if(!stringUtil.isEmpty($("#af222x1Adats").val()) && !stringUtil.isEmpty($("#af222x1Adate").val())) {
    let wadats = dateUtil.getYYYYMMDDDate($("#af222x1Adats").val());
    let wadate = dateUtil.getYYYYMMDDDate($("#af222x1Adate").val());

    if(wadats > wadate) {
      common.addError($("#af222x1Adate"), "正しい範囲を入力してください。", null, true);
      common.addError($("#af222x1Adats"), "正しい範囲を入力してください。", null, true);
      errflg = true;
    }
    if (!errflg) {
      if (wadate > dateUtil.getAddMonthDate($("#af222x1Adats").val(), 1)) {
        common.addError($("#af222x1Adats"), "計上日範囲は1ヶ月以内を指定してください。", null, true);
        errflg = true;
      }
    }
  }

  if(stringUtil.isEmpty($("#af222x1Cucd").val())
    &&(stringUtil.isEmpty($("#af222x1Adats").val()) || stringUtil.isEmpty($("#af222x1Adate").val()))) {
    common.addError($("#af222x1Cucd"), "いずれかを入力してください。", null, true);
    common.addError($("#af222x1Adats"), "いずれかを入力してください。", null, true);
    common.addError($("#af222x1Adate"), "いずれかを入力してください。", null, true);
    errflg = true;
  }

  if(errflg) {
    alert("エラーがあります");
    return false;
  }


  af222x1.deldetail();  //明細削除

  var sendData = {};

  sendData["popmode"] = "af222x1";
  sendData["cucd"] = $("#af222x1Cucd").val();
  sendData["cuscd"] = $("#af222x1Cuscd").val();
  sendData["vseq"] = $("#af222x1Vseq").val();
  sendData["cls"] = $("#af222x1Cls").val();
  sendData["adats"] = $("#af222x1Adats").val();
  sendData["adate"] = $("#af222x1Adate").val();
  sendData["spktcd"] = $("#af222x1Spktcd").val();
  sendData["tcls"] = $("#af222x1Tcls").val();
  sendData["pmode"] = "1";  /*伝票検索*/
  sendData["pmode2"] = "";

  setComplianceData("search", sendData);

  var me = $(this);
  common.postData(
    common.getApiUrl() + "getPopupSearch.php"
    , sendData
    , function (data, options) { $(me).trigger("regSuccess", data); }
    , function (error, options) { $(me).trigger("regError", error); }
  );

});

$(document).on("regSuccess", "#popaf222x1Search", function (e, data) {
  var list = JSON.parse(data);

  if (!(list != null)) {
    return false;
  }

  $("#af222x1Detail .detail").remove();
  var el = "";
  for (var i = 0; i < list.length; i++) {

    if(i == 0) {
      $("#af222x1Tamt").val(common.addFigure(list[i].t_amt));
      $("#af222x1Tamt2").val(common.addFigure(list[i].t_amt2));
      $("#af222x1Cnt").val(common.addFigure(list[i].t_vseq));
    }

    el += af222x1.appendRow(list[i]);
  }
  $("#af222x1Detail").append(el);

  common.setDetailHeight($("#af222x1Detail"));

  $("#af222x1Detail .detail").first().find("a").focus();
});
$(document).on("regError", "#popaf222x1Search", function (e, data) {
  alert(data.msg);
});

$(document).on("dblclick", "#af222x1Detail .selectRow", function (e) {
  $("#popaf222x1Select").trigger("click");
});

$(document).on("click", "#popaf222x1Select", function (e) {
  if (e.bubbles == false) {
    return false;
  }

  var sel = $("#af222x1Detail .selectRow");
  var selVseq = common.getValue($("#af222x1Detail .selectRow .vseq"));
  var selViseq = common.getValue($("#af222x1Detail .selectRow .viseq"));
  var selCucd = common.getValue($("#af222x1Detail .selectRow .cucd"));
  var selCuscd = common.getValue($("#af222x1Detail .selectRow .cuscd"));
  var selCunm = common.getValue($("#af222x1Detail .selectRow .cunm"));
  var selSpnm = common.getValue($("#af222x1Detail .selectRow .spnm"));
  var selTcls = common.getValue($("#af222x1Detail .selectRow .tcls"));

  var grp = popup.closePopup("af222x1");
  var frmh = grp.closest(".header");

  var vseq = grp.find(".vseq")[0];
  var viseq = grp.find(".viseq")[0];
  var cucd = grp.find(".cucd")[0];
  var cuscd = grp.find(".cuscd")[0];
  var cunm = grp.find(".cunm")[0];
  var spnm = grp.find(".spnm")[0];
  $(vseq).val(selVseq);
  $(viseq).val(selViseq);
  $(cucd).val(selCucd);
  $(cuscd).val(selCuscd);
  $(cunm).val(selCunm);
  $(spnm).val(selSpnm);

  //af224x用
  var tcls = grp.find(".tcls224")[0];
  $(tcls).val(selTcls);


  af222x1.initial();

  common.setValue($("#topPrgTitle"), common.getValue($("#af222x1OrgTitle")));
  $(vseq).trigger("afterSelectaf222x1");
});

$("#popaf222x1Close").on("popClose", function (e) {
  if (e.bubbles == false) {
    return false;
  }
  common.setValue($("#topPrgTitle"), common.getValue($("#af222x1OrgTitle")));
  af222x1.initial();
  af222x1.close();
});

$(document).on("keydown", "#af222x1Detail .selectRow", function (e) {
  if (e.keyCode == 32) {
    $("#popaf222x1Select").trigger("click");
    return false;
  }
});

var af222x1 = {
  close: function () {
    this.initial();
    popup.closePopup("af222x1");
  },

  appendRow: function (d) {
    var n = stringUtil.nvl;
    var row =
      ' <div class="col wp-100 detail"> ' +
      '   <div class="col wp-100"> ' +
      '     <a href="#" class="line"> </a> ' +
      '     <div class="item wd-S inputReadOnly cucd">' + n(d.cucd) + '</div>' +
      '     <div class="item wd-M inputReadOnly cunm longnm ">' + n(d.cunm) + '</div>' +
      '     <div class="item wd-S inputReadOnly cuscd">' + n(d.cuscd) + '</div>' +
      '     <div class="item wd-M inputReadOnly spnm longnm ">' + n(d.spnm) + '</div>' +
      '     <div class="item wd-SS inputReadOnly spktcd">' + n(d.spktcd) + '</div>' +
      '     <div class="item wd-SS inputReadOnly tclsnm">' + n(d.tclsnm) + '</div>' +
      '     <div class="item wd-date inputReadOnly dat2">' + n(d.dat2) + '</div>' +
      '     <div class="item wd-date inputReadOnly adat">' + n(d.adat) + '</div>' +
      '     <div class="item wd-100 inputReadOnly vseq">' + n(d.vseq) + '</div>' +
      '     <div class="item wd-number inputReadOnly amt number">' + common.addFigure(n(d.amt)) + '</div>' +
      '     <div class="item wd-number inputReadOnly amt2 number">' + common.addFigure(n(d.amt2)) + '</div>' +
      '     <input type="hidden" class="viseq" value="' + n(d.viseq) + '"> '+
      '     <input type="hidden" class="tcls" value="' + n(d.tcls) + '"> '+
      '   </div> ' +
      '   <hr> ' +
      ' </div> ';

    return row;
  },

  deldetail: function () {
    var el = document.getElementById("af222x1Detail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);
  },

  initial: function () {
    var main = $(".af222x1").find(".header_popaf222x1");
    common.clearInputData(main);
    common.clearAllError();

    var el = document.getElementById("af222x1Detail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);

    $("#af222x1Cucd").focus();

  },
}
</script>
